# Created by pyp2rpm-3.3.7
%global srcname sphinx_book_theme
%global pypi_name    sphinx-book-theme

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 3
Summary:        Jupyter Book: Create an online book with Jupyter Notebooks
Group:          Development/Python
License:        BSD
URL:            https://jupyterbook.org/
Source0:        %{pypi_source}
# stb compile
Source1:	%{srcname}-%{version}-node_modules.tar.xz

BuildArch:      noarch
ExclusiveArch:  x86_64

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx-theme-builder+cli

%description
A lightweight Sphinx theme designed to mimic the look-and-feel of an interactive book.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A lightweight Sphinx theme designed to mimic the look-and-feel of an interactive book.

%prep
%autosetup -n %{srcname}-%{version} -p1 -a1

sed -i 's|==|>=|g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
# Create .nodeenv
export STB_NO_POPULATE=1
%{_bindir}/stb compile

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md sphinx_book_theme/translations/README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.4-3.mga10
+ Revision: 2242537
- Mageia 10 Mass Rebuild
+ wally <wally>
- force build on x86_64 builder

* Mon Mar 03 2025 wally <wally> 1.1.4-2.mga10
+ Revision: 2160175
- build using bundled nodeenv
- rebuild for python3.13
+ daviddavid <daviddavid>
- new version: 1.1.4
- rebuild for python 3.13
- new version: 1.1.0
- switch to pyproject

* Thu Dec 28 2023 joequant <joequant> 0.1.3-4.mga10
+ Revision: 2023185
- update sha1.txt
- update to py3.12
- update to py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1.3-3.mga9
+ Revision: 1822514
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 0.1.3-2.mga9
+ Revision: 1774009
- rebuild for python 3.10

* Sun Aug 29 2021 wally <wally> 0.1.3-1.mga9
+ Revision: 1743474
- imported package python-sphinx-book-theme

